using System;
using System.IO;

namespace ConsoleApplication1
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Convert420
	{
		static void Convert(string fname)
		{
			TextReader str = File.OpenText(fname);
			string file = str.ReadToEnd();
			str.Close();

			StreamWriter outfile = File.CreateText(fname + ".xml");
			
			file = file.Replace("\r", "");
			file = file.Replace("\n\n", "\r");
			string[] paragraphs = file.Split('\r');
			outfile.WriteLine("<text>");
			foreach(string paragraph in paragraphs)
			{
				outfile.WriteLine("  <paragraph>");
				int index = 0;
				while(true)
				{
					int nextindex = paragraph.IndexOfAny(new char[] {'.', '?'}, index);
					if(nextindex == -1) break;
					nextindex ++;
					outfile.WriteLine("    <sentence>" + paragraph.Substring(index, nextindex-index) + "</sentence>");
					index = nextindex;
				}

				outfile.WriteLine("  </paragraph>");
			}
			outfile.WriteLine("</text>");

			outfile.Close();
		}


		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			foreach(string fname in args)
			{
				Convert(fname);
			}
		}
	}
}
